/*
Copyright (c) 2010-2011 University of Washington and Arizona State University
All rights reserved.
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
3. Neither the name of the University of Washington, Arizona State University nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission. 

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef HANDSHAKE_H
#define HANDSHAKE_H

#include <AM.h>
#include <message.h>

#define LOW_POWER_LISTENING 1
enum {
	BROADCAST_PERIOD = 204, // ~200 ms
	PDR_BCAST_MSG = 0x73,
	LPL_INTERVAL = 5000,
};

// Broadcast packets
typedef nx_struct bcast_msg {
	nx_uint32_t seq_num;
} bcast_msg_t;

// RF transmission power is set in the Makefile with power levels as shown below:
//
// Power level   Transmitted power level
// 31            0dbm
// 27            -1dbm 
// 23            -3dbm
// 19            -5dbm
// 15            -7dbm
// 11            -10dbm
// 7             -15dbm
// 3             -25dbm

#endif
